#include <iostream>
#include <vector>
using namespace std;
typedef struct{
    int l;
    int r;
}pom;
int main(){
    int n,m,l,r,g,br=0,tren,br2=0;
    cin>>n;
    vector <int> a(n);
    for(int i=0; i<n; i++){
        cin>>a[i];
    }
    cin>>m;
    pom granice[m];
    for(int i=0; i<m; i++){
        cin>>granice[i].l;
        cin>>granice[i].r;
    }
    for(int i=0; i<m; i++){
        g=granice[i].r - granice[i].l + 1;
        vector <int> b(g);
        br=0;
        br2=0;
        tren=a[granice[i].l-1];
        for(int j=granice[i].l; j<=granice[i].r; j++){
            b[br]=a[j-1];
            if(tren>b[br]){
                br2++;
            }
            tren=b[br];
            br++;
        }
        if(br2>=2){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
    }

    return 0;
}